Skip to main content
Resource Center/Network Resource/L2 Network Operations

DetachL2NetworkFromCluster

DetachL2NetworkFromCluster

DELETE/zstack/v1/l2-networks/baef7db345553050846947bb2d818be0/clusters/2fb51e7e35d339c4bac77819a9c4fea1?

Operation ID

DetachL2NetworkFromCluster

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • l2NetworkUuid
    StringRequired

    The L2 network UUID.

  • clusterUuid
    StringRequired

    The cluster UUID.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}